<?php
/**
 * Used as labels for organizing/grouping pages within the Site Tree and menus.
 *
 * Use this when you need to group pages in the CMS or menus but only want a
 * a label for that group, not a page that site vistors can see. Templates must
 * contain an if control to test ClassName property and output appropriate
 * markup in menus for this to work.
 *
 * @author Joshua
 * 
 */
class PageGroup extends Page {
    static $db = array();
    static $has_one = array();
    static $icon = "themes/blackcandy/images/treeicons/pagegroup";

    function getCMSFields() {
        $fields = parent::getCMSFields();
        $fields->removeFieldfromTab('Root.Content.Main', 'Content');
        return $fields;
    }
}

class PageGroup_Controller extends Page_Controller {

}
?>
