<?php
/**
 * Extends Page with an image, allows custom template/layout to be more easily
 * set for these pages.
 * 
 * @author Joshua Lewis
 */
class ProductSummaryPage extends Page
{
    static $db = array();
    static $has_one = array(
    'Image' => 'Image',
    );
    static $icon = "themes/blackcandy/images/treeicons/productsummary";
    
    static $allowed_children = array('PageGroup', 'ProductList', 'ProductSummaryPage');
    static $default_child = array('PageGroup');

    function getCMSFields()
    {
        $fields = parent::getCMSFields();
        $fields->addFieldToTab('Root.Content.Image', new ImageField('Image'));
        return $fields;
    }
}

class ProductSummaryPage_Controller extends Page_Controller
{

}
?>
